function [cx, cy] = centriod_poly(points, N, A)

centroid_imagex = 0;
centroid_imagey = 0;

for i = 1:N
    if (i == N) 
        ip1 = 1;
    else
        ip1 = i+1;
    end
    centroid_imagex = centroid_imagex + (points(i, 1)+points(ip1, 1))*(points(i, 1)*points(ip1, 2)-points(ip1, 1)*points(i, 2));
    centroid_imagey = centroid_imagey + (points(i, 2)+points(ip1, 2))*(points(i, 1)*points(ip1, 2)-points(ip1, 1)*points(i, 2));
end

cx = centroid_imagex / (6.0*A);
cy = centroid_imagey / (6.0*A);